<< truth | FOSSEE_Signal_Processing_Toolbox | udecode >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > tukeywin

# tukeywin

This function returns the filter coefficients of a Tukey window.

### Syntax

    w = tukeywin(n)
    w = tukeywin(n, r)

### Parameters

n:

  Window length.

r:

  Taper ratio. Default is 0.5.

w:

  Tukey window.

### Description

This function generates a Tukey window of length `n` with taper ratio `r`.

### Examples

    w = tukeywin(64, 0.5)

### See also

- hanning — Generate the filter coefficients of a Hanning window.

Report an issue
<< truth | FOSSEE_Signal_Processing_Toolbox | udecode >>